/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/

//
//	Lo 管理XMO 入力チェッククラス
//			変更履歴
//				2004.01.08	新規作成	鈴木　敏子
//
package jp.co.ntt.lms.xmo.Lo;

import jp.co.ntt.lms.xmo.util.XMOCheck;

/**
 * Lo 管理XMO 入力チェックのクラスです。<BR>
 * Loテーブルの各フィールドの入力チェック処理を行います。
 * @auther T.Suzuki
 * @version 0.0.0.1 2004.01.08
 */
public class LoCheck extends XMOCheck
	implements LoMessage, LoTable
{
	/**
	* LoIDフィールドの入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param blHissu 必須チェック区分 true: 必須チェックを行います
	*                                 false: 必須チェックを行いません
	* @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkLoID( String strCheck, boolean blHissu ) {

		// 必須チェック
		if( blHissu ) {
			if( !XMOCheck.checkHissu(strCheck) ) {
				return LOID_HISSU_WAR;
			}
		}

		//LO_IDフィールドのバイト長チェック
		if(!XMOCheck.checkLenB(strCheck, LOID_LENB)){
			return LOID_LEN_WAR;
		}
		return "";
	}

	/**
	* LO実アドレスフィールドの入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param blHissu 必須チェック区分 true: 必須チェックを行います
	*                                 false: 必須チェックを行いません
	* @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkLoAddress( String strCheck, boolean blHissu ) {

		// 必須チェック
		if( blHissu ) {
			if( !XMOCheck.checkHissu(strCheck) ) {
				return LOADDRESS_HISSU_WAR;
			}
		}

		//LO_ADDRESSフィールドのバイト長チェック
		if(!XMOCheck.checkLenB(strCheck, LOADDRESS_LENB)){
			return LOADDRESS_LEN_WAR;
		}
		return "";
	}

	/**
	* LOタイプフィールドの入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param blHissu 必須チェック区分 true: 必須チェックを行います
	*                                 false: 必須チェックを行いません
	* @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkLoType( String strCheck, boolean blHissu ) {

		// 必須チェック
		if( blHissu ) {
			if( !XMOCheck.checkHissu(strCheck) ) {
				return LOTYPE_HISSU_WAR;
			}
		}

		//LO_TYPEフィールドのバイト長チェック
		if(!XMOCheck.checkLenB(strCheck, LOTYPE_LENB)){
			return LOTYPE_LEN_WAR;
		}
		return "";
	}

	/**
	* LOタイトルの入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param blHissu 必須チェック区分 true: 必須チェックを行います
	*                                 false: 必須チェックを行いません
	* @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkLoTytle( String strCheck, boolean blHissu ) {

		// 必須チェック
		if( blHissu ) {
			if( !XMOCheck.checkHissu(strCheck) ) {
				return LOTYTLE_HISSU_WAR;
			}
		}

		//LO_TYTLEフィールドのバイト長チェック
		if(!XMOCheck.checkLenB(strCheck, LOTYTLE_LENB)){
			return LOTYTLE_LEN_WAR;
		}
		return "";
	}

	/**
	* LOの説明の入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param blHissu 必須チェック区分 true: 必須チェックを行います
	*                                 false: 必須チェックを行いません
	* @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkLoExplanation( String strCheck, boolean blHissu ) {

		// 必須チェック
		if( blHissu ) {
			if( !XMOCheck.checkHissu(strCheck) ) {
				return LOEXPLANATION_HISSU_WAR;
			}
		}

		//LO_EXPLANATIONフィールドのバイト長チェック
		if(!XMOCheck.checkLenB(strCheck, LOEXPLANATION_LENB)){
			return LOEXPLANATION_LEN_WAR;
		}
		return "";
	}

	/**
	* LOのバージョンの入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param blHissu 必須チェック区分 true: 必須チェックを行います
	*                                 false: 必須チェックを行いません
	* @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkVersion( String strCheck, boolean blHissu ) {

		// 必須チェック
		if( blHissu ) {
			if( !XMOCheck.checkHissu(strCheck) ) {
				return LOVERSION_HISSU_WAR;
			}
		}

		//LO_VERSIONフィールドのバイト長チェック
		if(!XMOCheck.checkLenB(strCheck, LOVERSION_LENB)){
			return LOVERSION_LEN_WAR;
		}
		return "";
	}
	
	 /**
	 * LOのMentor Emailアドレスの入力チェック処理を行います.
	 * @param strCheck チェック文字列
	 * @param blHissu 必須チェック区分 true: 必須チェックを行います
	 *                                 false: 必須チェックを行いません
	 * @return String エラーID チェックＯＫのときは空文字で返します。
	 */
	 public static String checkMentorEmail( String strCheck, boolean blHissu ) {

		 // 必須チェック
		 if( blHissu ) {
			 if( !XMOCheck.checkHissu(strCheck) ) {
				 return LOVERSION_HISSU_WAR;
			 }
		 }

		 //MENTOR_EMAIL_ADDRESSフィールドのバイト長チェック
		 if(!XMOCheck.checkLenB(strCheck, MENTOR_EMAILADDRESS_LENB)){
			 return MENTOR_EMAIL_ADDRESS_LEN_WAR;
		 }
		 return "";
	 }

	/**
	* 作成日の入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param blHissu 必須チェック区分 true: 必須チェックを行います
	*                                 false: 必須チェックを行いません
	* @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkLoCreateDate( String strCheck, boolean blHissu ) {

		// 必須チェック
		if( blHissu ) {
			if( !XMOCheck.checkHissu(strCheck) ) {
				return LOCREATEDATE_HISSU_WAR;
			}
		}

		//LO_CREATEDATEフィールドのバイト長チェック
		if(!XMOCheck.checkLenB(strCheck, LOCREATEDATE_LENB)){
			return LOCREATEDATE_DATE_WAR;
		}

		//LO_CREATEDATEフィールドの日付チェック
		if(!XMOCheck.checkDate(strCheck)){
			return LOCREATEDATE_DATE_WAR;
		}
		return "";
	}

	/**
	* 隠しフラグのコピーの入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param blHissu 必須チェック区分 true: 必須チェックを行います
	*                                 false: 必須チェックを行いません
	* @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkDeleteFlag( String strCheck, boolean blHissu ) {

		// 必須チェック
		if( blHissu ) {
			if( !XMOCheck.checkHissu(strCheck) ) {
				return DELETEFLAG_HISSU_WAR;
			}
		}

		//DELETE_FLAGフィールドのバイト長チェック
		if(!XMOCheck.checkLenB(strCheck, DELETEFLAG_LENB)){
			return DELETEFLAG_LEN_WAR;
		}
		return "";
	}

	/**
	* 教材IDの入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param blHissu 必須チェック区分 true: 必須チェックを行います
	*                                 false: 必須チェックを行いません
	* @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkMaterialID( String strCheck, boolean blHissu ) {

		// 必須チェック
		if( blHissu ) {
			if( !XMOCheck.checkHissu(strCheck) ) {
				return MATERIALID_HISSU_WAR;
			}
		}

		//DELETE_FLAGフィールドのバイト長チェック
		if(!XMOCheck.checkLenB(strCheck, MATERIALID_LENB)){
			return MATERIALID_LEN_WAR;
		}
		return "";
	}

	/**
	* 外部キーフィールドの入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param blHissu 必須チェック区分 true: 必須チェックを行います
	*                                 false: 必須チェックを行いません
	* @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkForeignID( String strCheck, boolean blHissu ){

		// 必須チェック
		if( blHissu ) {
			if( !XMOCheck.checkHissu( strCheck ) ) {
				return FOREIGNID_HISSU_WAR;
			}
		}

		//FOREING_IDフィールドのバイト長チェック
		if(!XMOCheck.checkLenB(strCheck, FOREIGNID_LENB)){
			return FOREIGNID_LEN_WAR;
		}
		return "";
	}

	/**
	* Loサブ種別の入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param blHissu 必須チェック区分 true: 必須チェックを行います
	*                                 false: 必須チェックを行いません
	* @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkLoSubType( String strCheck, boolean blHissu ){

		// 必須チェック
		if( blHissu ) {
			if( !XMOCheck.checkHissu( strCheck ) ) {
				return LOSUBTYPE_HISSU_WAR;
			}
		}

		//FOREING_IDフィールドのバイト長チェック
		if(!XMOCheck.checkLenB(strCheck, LOSUBTYPE_LENB)){
			return LOSUBTYPE_LEN_WAR;
		}
		return "";
	}

	/**
	* Lo種別名の入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param blHissu 必須チェック区分 true: 必須チェックを行います
	*                                 false: 必須チェックを行いません
	* @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkTypeName( String strCheck, boolean blHissu ){

		// 必須チェック
		if( blHissu ) {
			if( !XMOCheck.checkHissu( strCheck ) ) {
				return TYPENAME_HISSU_WAR;
			}
		}

		//FOREING_IDフィールドのバイト長チェック
		if(!XMOCheck.checkLenB(strCheck, TYPENAME_LENB)){
			return TYPENAME_LEN_WAR;
		}
		return "";
	}

	/**
	* オプションIDの入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param blHissu 必須チェック区分 true: 必須チェックを行います
	*                                 false: 必須チェックを行いません
	* @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkOptionID( String strCheck, boolean blHissu ){

		// 必須チェック
		if( blHissu ) {
			if( !XMOCheck.checkHissu( strCheck ) ) {
				return OPTIONID_HISSU_WAR;
			}
		}

		//FOREING_IDフィールドのバイト長チェック
		if(!XMOCheck.checkLenB(strCheck, OPTIONID_LENB)){
			return OPTIONID_LEN_WAR;
		}
		return "";
	}


}
